<template>
  <div class="flex flex-col p-10">
    <h1 class="text-4xl font-semibold mb-10 text-center">To Do List</h1>
    <input class="border rounded-md w-full h-8 p-5" required type="text" placeholder="Search..." @input="changeContentSearch">
    <div class="overflow-auto max-h-37 scrollbar" id="custom-scroll">
      <Item :todo="{...item}" v-for="(item, index) of resultTodo" :key="index"></Item>
    </div>
  </div>
</template>

<script setup lang="ts">
import { ref, computed } from 'vue'
import {useStore} from "vuex"
import Item from "./Item.vue"

const store = useStore();

const resultTodo = computed(() => store.getters.resultTodo)
const listCheckbox = []

function changeContentSearch(e: any) {
  store.dispatch('setContentSearch', e.target.value)
}

</script>

<style>
  .scrollbar
  {
    overflow-y: scroll;
  }
  #custom-scroll::-webkit-scrollbar
  {
    width: 10px;
    background-color: #F5F5F5;
  }

  #custom-scroll::-webkit-scrollbar-thumb
  {
    border-radius: 10px;
    background-image: -webkit-gradient(linear,
    left bottom,
    left top,
    color-stop(0.44, rgb(122,153,217)),
    color-stop(0.72, rgb(73,125,189)),
    color-stop(0.86, rgb(28,58,148)));
  }
</style>
